Use this API to retrieve information about the current state of Sidekiq, including its jobs, queues, and processes, and to delete jobs from a queue.
Delete jobs from a Sidekiq queue
DELETE /api/v4/admin/sidekiq/queues/{queue_name}
Deletes jobs from a Sidekiq queue that match the specified metadata.
Parameters
| Name | Type | Description |
|---|---|---|
queue_Path, | String | The Sidekiq queue name |
organization_Query | String | Metadata key to match |
userQuery | String | Metadata key to match |
user_Query | String | Metadata key to match |
gl_Query | String | Metadata key to match |
scoped_Query | String | Metadata key to match |
scoped_Query | String | Metadata key to match |
projectQuery | String | Metadata key to match |
root_Query | String | Metadata key to match |
gl_Query | String | Metadata key to match |
client_Query | String | Metadata key to match |
caller_Query | String | Metadata key to match |
remote_Query | String | Metadata key to match |
job_Query | String | Metadata key to match |
pipeline_Query | String | Metadata key to match |
related_Query | String | Metadata key to match |
feature_Query | String | Metadata key to match |
artifact_Query | String | Metadata key to match |
artifact_Query | String | Metadata key to match |
artifacts_Query | String | Metadata key to match |
artifacts_Query | String | Metadata key to match |
root_Query | String | Metadata key to match |
merge_Query | String | Metadata key to match |
bulk_Query | String | Metadata key to match |
sidekiq_Query | String | Metadata key to match |
kubernetes_Query | String | Metadata key to match |
mvcc_Query | String | Metadata key to match |
worker_Query | String | Metadata key to match |
Responses
| Code | Description | Schema |
|---|---|---|
204 | No Content | — |
400 | Bad Request | — |
404 | Not Found | — |
List all Sidekiq metrics
GET /api/v4/sidekiq/compound_metrics
Lists all Sidekiq metrics. Includes queue, process, and job completion metrics.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
401 | Unauthorized | — |
403 | Forbidden | — |
Retrieve job completion metrics
GET /api/v4/sidekiq/job_stats
Retrieves statistics on the completion status of all Sidekiq jobs.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
401 | Unauthorized | — |
403 | Forbidden | — |
List all Sidekiq processes
GET /api/v4/sidekiq/process_metrics
Lists all details about all registered Sidekiq worker processes, including hostname, process ID, queues, and concurrency settings.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
401 | Unauthorized | — |
403 | Forbidden | — |
List all job queue metrics
GET /api/v4/sidekiq/queue_metrics
Lists all details about all Sidekiq job queues, including backlog size and latency.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
401 | Unauthorized | — |
403 | Forbidden | — |